Retrieves the work instruction with the specified key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
work_instruction| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating work_instruction |
sales_organization | |
| job_type_id |
Applicable job_type |
globally unique identifier |
Required |
| job_type_code |
Applicable job_type |
string | |
| equipment_family_id |
Applicable equipment family |
globally unique identifier |
Required |
| equipment_family_code |
Applicable equipment family |
string | |
| skill_ids |
List of only applicable skils |
Collection of globally unique identifier | |
| skill_codes |
List of only applicable skils |
Collection of string | |
| name |
Name of the header of the work instruction. |
string |
Required Max length: 50 |
| description |
Explanation of these instructions for the technician. |
string |
Required Max length: 255 |
| estimated_work_time |
Time needed to complete these instructions. Number in minute. |
integer | |
| additional_information |
Additional information |
string |
Max length: 4000 |
| reference_back_office |
The Id/Ref of the back office for this work instruction. Used by Embedded entity |
string |
Max length: 255 |
| is_required |
If true then all instructions required to be executed |
boolean | |
| is_archived |
Specify if the object is not usable anymore |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
{
"id": "3e2c6e60-cd19-49f7-be83-5215c7dc19f2",
"sales_organization_id": "32fce108-1f32-404d-ad2c-c69cc41e73cb",
"sales_organization_code": "sample string 3",
"job_type_id": "ab8ea10b-2ece-49e1-a3a3-e09edbd96f73",
"job_type_code": "sample string 5",
"equipment_family_id": "66a2fc9f-aa96-4e63-9705-68756590d474",
"equipment_family_code": "sample string 7",
"skill_ids": [
"d0b95834-3533-4c31-b692-1f9a9e178d8b",
"703730fa-8372-4fc0-9054-e4128eec2d0b"
],
"skill_codes": [
"sample string 1",
"sample string 2"
],
"name": "sample string 8",
"description": "sample string 9",
"estimated_work_time": 10,
"additional_information": "sample string 11",
"reference_back_office": "sample string 12",
"is_required": true,
"is_archived": true,
"modified_dateutc": "2026-06-25T22:33:07.5909658+00:00"
}